<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_32) on Fri Nov 16 08:58:56 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
Uses of Class org.cocktail.peche.entity.EOReh
</TITLE>

<META NAME="date" CONTENT="2012-11-16">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.cocktail.peche.entity.EOReh";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/cocktail/peche/entity//class-useEOReh.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EOReh.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.cocktail.peche.entity.EOReh</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.cocktail.peche.components.service"><B>org.cocktail.peche.components.service</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.cocktail.peche.entity"><B>org.cocktail.peche.entity</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.cocktail.peche.components.service"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A> in <A HREF="../../../../../org/cocktail/peche/components/service/package-summary.html">org.cocktail.peche.components.service</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/components/service/package-summary.html">org.cocktail.peche.components.service</A> that return <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>ServicePrevisionnelForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServicePrevisionnelForm.html#currentReh()">currentReh</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>ServiceInitialForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServiceInitialForm.html#currentReh()">currentReh</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/components/service/package-summary.html">org.cocktail.peche.components.service</A> that return types with arguments of type <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ServicePrevisionnelForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServicePrevisionnelForm.html#listeRehs()">listeRehs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ServiceInitialForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServiceInitialForm.html#listeRehs()">listeRehs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/components/service/package-summary.html">org.cocktail.peche.components.service</A> with parameters of type <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ServicePrevisionnelForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServicePrevisionnelForm.html#setCurrentReh(org.cocktail.peche.entity.EOReh)">setCurrentReh</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;currentReh)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ServiceInitialForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServiceInitialForm.html#setCurrentReh(org.cocktail.peche.entity.EOReh)">setCurrentReh</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;currentReh)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../../../org/cocktail/peche/components/service/package-summary.html">org.cocktail.peche.components.service</A> with type arguments of type <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ServicePrevisionnelForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServicePrevisionnelForm.html#setListeRehs(com.webobjects.foundation.NSArray)">setListeRehs</A></B>(com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;&nbsp;listeRehs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ServiceInitialForm.</B><B><A HREF="../../../../../org/cocktail/peche/components/service/ServiceInitialForm.html#setListeRehs(com.webobjects.foundation.NSArray)">setListeRehs</A></B>(com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;&nbsp;listeRehs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.cocktail.peche.entity"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A> in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> with type parameters of type <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#REH">REH</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> that return <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#createEOReh(com.webobjects.eocontrol.EOEditingContext, com.webobjects.foundation.NSTimestamp, com.webobjects.foundation.NSTimestamp, java.lang.String, org.cocktail.fwkcktldroitsutils.common.metier.EOPersonne)">createEOReh</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
            com.webobjects.foundation.NSTimestamp&nbsp;dateCreation,
            com.webobjects.foundation.NSTimestamp&nbsp;dateModification,
            java.lang.String&nbsp;description,
            org.cocktail.fwkcktldroitsutils.common.metier.EOPersonne&nbsp;personneCreation)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOReh.html#creerEtInitialiser(com.webobjects.eocontrol.EOEditingContext)">creerEtInitialiser</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOReh.html#dupliquer(org.cocktail.peche.entity.EOReh, com.webobjects.eocontrol.EOEditingContext)">dupliquer</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;source,
          com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchEOReh(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchEOReh</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
           com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchEOReh(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchEOReh</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
           java.lang.String&nbsp;keyName,
           java.lang.Object&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchRequiredEOReh(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchRequiredEOReh</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                   com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchRequiredEOReh(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchRequiredEOReh</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                   java.lang.String&nbsp;keyName,
                   java.lang.Object&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext, org.cocktail.peche.entity.EOReh)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;eo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#reh()">reh</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> that return types with arguments of type <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchAllEORehs(com.webobjects.eocontrol.EOEditingContext)">fetchAllEORehs</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchAllEORehs(com.webobjects.eocontrol.EOEditingContext, com.webobjects.foundation.NSArray)">fetchAllEORehs</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
               com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchEORehs(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray)">fetchEORehs</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
            com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
            com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXFetchSpecification&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#fetchSpec()">fetchSpec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> with parameters of type <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOReh.html#dupliquer(org.cocktail.peche.entity.EOReh, com.webobjects.eocontrol.EOEditingContext)">dupliquer</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;source,
          com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext, org.cocktail.peche.entity.EOReh)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;eo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#setReh(org.cocktail.peche.entity.EOReh)">setReh</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOService.html#setReh(org.cocktail.peche.entity.EOReh)">setReh</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#setRehRelationship(org.cocktail.peche.entity.EOReh)">setRehRelationship</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOService.html#verifierEntiteNonNull(org.cocktail.peche.entity.EOReh, org.cocktail.peche.entity.EOElementMaquette)">verifierEntiteNonNull</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity">EOReh</A>&nbsp;reh,
                      <A HREF="../../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;elementMaquette)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/cocktail/peche/entity/EOReh.html" title="class in org.cocktail.peche.entity"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/cocktail/peche/entity//class-useEOReh.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EOReh.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
